Subject: bug#16654: Inverted logic in docstring for kill-line?

From: [email-masked]
Date: Fri, 21 Oct 2016 22:47:51 -0400

tags 16654 fixed
close 16654 25.2
quit

Reuben Thomas <[email-masked]> writes:

> "If `show-trailing-whitespace' is non-nil, this command will just
> kill the rest of the current line, even if there are only
> nonblanks there."
>
> Surely that should be "even if there are only blanks"? (I'll happily fix
> this if I'm right, I'm just double-checking as I'm a bit surprised to find
> an error in such a frequently-read place!)

I think you might be overestimating how often docs are read.

Fixed in 5c2da93 "Fix kill-line's docstring" (I used "no nonblanks" to
match the phrasing at the beginning of the docstring).